(function($) {
	'use strict';
	$(document).ready(function() {

		var googleRecaptchaV2 = $('.stlsr_google_recaptcha_v2');
		var googleRecaptchaV3 = $('.stlsr_google_recaptcha_v3');
		var captcha = $('.stlsr input[name="captcha"]:checked').val();
		if('google_recaptcha_v2' === captcha) {
			googleRecaptchaV2.show();
		} else if('google_recaptcha_v3' === captcha) {
			googleRecaptchaV3.show();
		}

		$(document).on('change', '.stlsr input[name="captcha"]', function() {
			var captcha = this.value;
			var stlsrCaptcha = $('.stlsr_captcha');
			stlsrCaptcha.hide();
			if('google_recaptcha_v2' === captcha) {
				googleRecaptchaV2.fadeIn();
			} else if('google_recaptcha_v3' === captcha) {
				googleRecaptchaV3.fadeIn();
			}
		});

		var loginRecaptcha = $('.stlsr_login_captcha');
		var lostPasswordRecaptcha = $('.stlsr_lostpassword_captcha');
		var registerRecaptcha = $('.stlsr_register_captcha');
		var commentRecaptcha = $('.stlsr_comment_captcha');

		if($('#stlsr_login_captcha_enable').is(':checked')) {
			loginRecaptcha.show();
		}
		if($('#stlsr_lostpassword_captcha_enable').is(':checked')) {
			lostPasswordRecaptcha.show();
		}
		if($('#stlsr_register_captcha_enable').is(':checked')) {
			registerRecaptcha.show();
		}
		if($('#stlsr_comment_captcha_enable').is(':checked')) {
			commentRecaptcha.show();
		}

		$(document).on('change', '#stlsr_login_captcha_enable', function() {
			if($(this).is(':checked')) {
				loginRecaptcha.fadeIn();
			} else {
				loginRecaptcha.hide();
			}
		});
		$(document).on('change', '#stlsr_lostpassword_captcha_enable', function() {
			if($(this).is(':checked')) {
				lostPasswordRecaptcha.fadeIn();
			} else {
				lostPasswordRecaptcha.hide();
			}
		});
		$(document).on('change', '#stlsr_register_captcha_enable', function() {
			if($(this).is(':checked')) {
				registerRecaptcha.fadeIn();
			} else {
				registerRecaptcha.hide();
			}
		});
		$(document).on('change', '#stlsr_comment_captcha_enable', function() {
			if($(this).is(':checked')) {
				commentRecaptcha.fadeIn();
			} else {
				commentRecaptcha.hide();
			}
		});

		$(document).on('click', '.st-alert-box-dismiss', function() {
			$(this).parent().fadeOut(300, function() {
				$(this).remove();
			});
		});

		var loadingContainer = $('<span/>', {
			'class': 'st-loading-container'
		});
		var loadingImage = $('<img/>', {
			'src': stlsradminurl + 'images/spinner.gif',
			'class': 'st-loading-image'
		});

		// Save captcha settings.
		var saveCaptchaFormId = '#stlsr-save-captcha-form';
		var saveCaptchaForm = $(saveCaptchaFormId);
		var saveCaptchaBtn = $('#stlsr-save-captcha-btn');
		saveCaptchaForm.ajaxForm({
			beforeSubmit: function(arr, $form, options) {
				$('.st-text-danger').remove();
				$('.st-is-invalid').removeClass("st-is-invalid");
				$('.st-alert-box').remove();
				saveCaptchaBtn.prop('disabled', true);
				loadingContainer.insertAfter(saveCaptchaBtn);
				loadingImage.appendTo(loadingContainer);
				return true;
			},
			success: function(response) {
				if(response.success) {
					var alertBox = '' +
					'<div class="st-alert-box notice notice-success is-dismissible">' +
						'<p>' +
							'<strong>' + response.data.message + '</strong>' +
						'</p>' +
						'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
					'</div>';
					$(alertBox).insertBefore(saveCaptchaFormId);
				} else {
					if(response.data && $.isPlainObject(response.data)) {
						$(saveCaptchaFormId + ' :input').each(function() {
							var input = this;
							$(input).removeClass('st-is-invalid');
							if(response.data[input.name]) {
								var errorSpan = '<div class="st-text-danger">' + response.data[input.name] + '</div>';
								$(input).addClass('st-is-invalid');
								$(errorSpan).insertAfter(input);
							}
						});
					} else {
						var errorSpan = '' +
						'<div class="st-alert-box notice notice-error is-dismissible">' +
							'<p>' +
								'<strong>' + response.data + '</strong>' +
							'</p>' +
							'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
						'</div>';
						$(errorSpan).insertBefore(saveCaptchaFormId);
					}
				}
			},
			error: function(response) {
				saveCaptchaBtn.prop('disabled', false);
				var errorSpan = '' +
				'<div class="st-alert-box notice notice-error is-dismissible">' +
					'<p>' +
						'<strong>' + response.status + '</strong> ' + response.statusText +
					'</p>' +
					'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
				'</div>';
				$(errorSpan).insertBefore(saveCaptchaFormId);
			},
			complete: function(event, xhr, settings) {
				saveCaptchaBtn.prop('disabled', false);
				loadingContainer.remove();
			}
		});

		// Clear error logs.
		var clearErrorLogsFormId = '#stlsr-clear-error-logs-form';
		var clearErrorLogsForm = $(clearErrorLogsFormId);
		var clearErrorLogsBtn = $('#stlsr-clear-error-logs-btn');
		$(document).on('click', '#stlsr-clear-error-logs-btn', function(e) {
			e.preventDefault();
			if(confirm(clearErrorLogsBtn.data('message'))) {
				clearErrorLogsForm.ajaxSubmit({
					beforeSubmit: function(arr, $form, options) {
						$('.st-text-danger').remove();
						$('.st-is-invalid').removeClass("st-is-invalid");
						$('.st-alert-box').remove();
						clearErrorLogsBtn.prop('disabled', true);
						loadingContainer.insertAfter(clearErrorLogsBtn);
						loadingImage.appendTo(loadingContainer);
						return true;
					},
					success: function(response) {
						if(response.success) {
							var alertBox = '' +
							'<div class="st-alert-box notice notice-success is-dismissible">' +
								'<p>' +
									'<strong>' + response.data.message + '</strong>' +
								'</p>' +
								'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
							'</div>';
                    		$('.stlsr-error-logs-body').load(location.href + " " + '.stlsr-error-logs-body', function () {});
							$(alertBox).insertBefore(clearErrorLogsFormId);
						} else {
							if(response.data && $.isPlainObject(response.data)) {
								$(clearErrorLogsFormId + ' :input').each(function() {
									var input = this;
									$(input).removeClass('st-is-invalid');
									if(response.data[input.name]) {
										var errorSpan = '<div class="st-text-danger">' + response.data[input.name] + '</div>';
										$(input).addClass('st-is-invalid');
										$(errorSpan).insertAfter(input);
									}
								});
							} else {
								var errorSpan = '' +
								'<div class="st-alert-box notice notice-error is-dismissible">' +
									'<p>' +
										'<strong>' + response.data + '</strong>' +
									'</p>' +
									'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
								'</div>';
								$(errorSpan).insertBefore(clearErrorLogsFormId);
							}
						}
					},
					error: function(response) {
						clearErrorLogsBtn.prop('disabled', false);
						var errorSpan = '' +
						'<div class="st-alert-box notice notice-error is-dismissible">' +
							'<p>' +
								'<strong>' + response.status + '</strong> ' + response.statusText +
							'</p>' +
							'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
						'</div>';
						$(errorSpan).insertBefore(clearErrorLogsFormId);
					},
					complete: function(event, xhr, settings) {
						clearErrorLogsBtn.prop('disabled', false);
						loadingContainer.remove();
					}
				});
			}
		});

		// Reset plugin.
		var resetPluginFormId = '#stlsr-reset-plugin-form';
		var resetPluginForm = $(resetPluginFormId);
		var resetPluginBtn = $('#stlsr-reset-plugin-btn');
		$(document).on('click', '#stlsr-reset-plugin-btn', function(e) {
			e.preventDefault();
			if(confirm(resetPluginBtn.data('message'))) {
				resetPluginForm.ajaxSubmit({
					beforeSubmit: function(arr, $form, options) {
						$('.st-text-danger').remove();
						$('.st-is-invalid').removeClass("st-is-invalid");
						$('.st-alert-box').remove();
						resetPluginBtn.prop('disabled', true);
						loadingContainer.insertAfter(resetPluginBtn);
						loadingImage.appendTo(loadingContainer);
						return true;
					},
					success: function(response) {
						if(response.success) {
							var alertBox = '' +
							'<div class="st-alert-box notice notice-success is-dismissible">' +
								'<p>' +
									'<strong>' + response.data.message + '</strong>' +
								'</p>' +
								'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
							'</div>';
							$(alertBox).insertBefore(resetPluginFormId);
						} else {
							if(response.data && $.isPlainObject(response.data)) {
								$(resetPluginFormId + ' :input').each(function() {
									var input = this;
									$(input).removeClass('st-is-invalid');
									if(response.data[input.name]) {
										var errorSpan = '<div class="st-text-danger">' + response.data[input.name] + '</div>';
										$(input).addClass('st-is-invalid');
										$(errorSpan).insertAfter(input);
									}
								});
							} else {
								var errorSpan = '' +
								'<div class="st-alert-box notice notice-error is-dismissible">' +
									'<p>' +
										'<strong>' + response.data + '</strong>' +
									'</p>' +
									'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
								'</div>';
								$(errorSpan).insertBefore(resetPluginFormId);
							}
						}
					},
					error: function(response) {
						resetPluginBtn.prop('disabled', false);
						var errorSpan = '' +
						'<div class="st-alert-box notice notice-error is-dismissible">' +
							'<p>' +
								'<strong>' + response.status + '</strong> ' + response.statusText +
							'</p>' +
							'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
						'</div>';
						$(errorSpan).insertBefore(resetPluginFormId);
					},
					complete: function(event, xhr, settings) {
						resetPluginBtn.prop('disabled', false);
						loadingContainer.remove();
					}
				});
			}
		});

	});
})(jQuery);
